Scala Compiler2.12.2-20170504-135222-21d12e9 < Back
 

# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package ast
  Definition Classes
    nsc
-  package parser
  Definition Classes
    ast
- DocComments
- NodePrinters
- Positions
- Printers
- TreeBrowsers
- TreeDSL
- TreeGen
- TreeInfo
- Trees

t

scala.tools.nsc.ast

# Printers 

###

#### trait Printers extends reflect.internal.Printers

Self Type
  Global
Source
  Printers.scala

Linear Supertypes
reflect.internal.Printers, reflect.api.Printers, AnyRef, Any
Known Subclasses
Global, compiler, DocParser, ScaladocGlobal, ScaladocGlobalTrait, Global, ReplGlobal, ReflectGlobal
Type Hierarchy
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Printers
2. Printers
3. Printers
4. AnyRef
5. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Type Members

1.  case class BooleanFlag extends Product with Serializable
   Definition Classes
     Printers
2.  class CodePrinter extends reflect.internal.SymbolTable.TreePrinter
   Definition Classes
     Printers
3.  class CompactTreePrinter extends Global.TreePrinter

   A tree printer which is stingier about vertical whitespace and unnecessary punctuation than the standard one.

4.  class RawTreePrinter extends reflect.internal.SymbolTable.TreePrinter
   Definition Classes
     Printers
5.  class TreePrinter extends Global.TreePrinter

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from Printers to any2stringadd[Printers] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (Printers, B)
   Implicit
     This member is added by an implicit conversion from Printers to ArrowAssoc[Printers] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  def asCompactDebugString(t: Global.Tree): String
7.  def asCompactString(t: Global.Tree): String
8.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
9.  def asString(t: Global.Tree): String
10.  def backquotedPath(t: Global.Tree): String
    Definition Classes
      Printers
11.  def clone(): AnyRef
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
12.  def decodedSymName(tree: Global.Tree, name: Global.Name): String
    Definition Classes
      Printers
13.  def ensuring(cond: (Printers) ⇒ Boolean, msg: ⇒ Any): Printers
    Implicit
      This member is added by an implicit conversion from Printers to Ensuring[Printers] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
14.  def ensuring(cond: (Printers) ⇒ Boolean): Printers
    Implicit
      This member is added by an implicit conversion from Printers to Ensuring[Printers] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
15.  def ensuring(cond: Boolean, msg: ⇒ Any): Printers
    Implicit
      This member is added by an implicit conversion from Printers to Ensuring[Printers] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
16.  def ensuring(cond: Boolean): Printers
    Implicit
      This member is added by an implicit conversion from Printers to Ensuring[Printers] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
17.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
18.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
19.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
20.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from Printers to StringFormat[Printers] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
21.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
22.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
23.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
24.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
25.  def newCodePrinter(writer: PrintWriter, tree: Global.Tree, printRootPkg: Boolean): Global.TreePrinter
    Definition Classes
      Printers → Printers
26.  def newCompactTreePrinter(writer: PrintWriter): Global.CompactTreePrinter
27.  def newRawTreePrinter(writer: PrintWriter): Global.RawTreePrinter
    Definition Classes
      Printers → Printers
28.  def newStandardTreePrinter(writer: PrintWriter): Global.TreePrinter
29.  def newTreePrinter(): Global.TreePrinter
    Definition Classes
      Printers → Printers
30.  def newTreePrinter(stream: OutputStream): Global.TreePrinter
    Definition Classes
      Printers → Printers
31.  def newTreePrinter(writer: PrintWriter): Global.TreePrinter
    Definition Classes
      Printers → Printers → Printers
32.  final def notify(): Unit
    Definition Classes
      AnyRef
33.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
34.  def quotedName(name: String): String
    Definition Classes
      Printers
35.  def quotedName(name: Global.Name): String
    Definition Classes
      Printers
36.  def quotedName(name: Global.Name, decode: Boolean): String
    Definition Classes
      Printers
37.  def render(what: Any, mkPrinter: (PrintWriter) ⇒ Global.TreePrinter, printTypes: Global.BooleanFlag, printIds: Global.BooleanFlag, printOwners: Global.BooleanFlag, printKinds: Global.BooleanFlag, printMirrors: Global.BooleanFlag, printPositions: Global.BooleanFlag): String
    Attributes
      protected
    Definition Classes
      Printers
38.  def show(position: Global.Position): String
    Definition Classes
      Printers → Printers
39.  def show(flags: Global.FlagSet): String
    Definition Classes
      Printers → Printers
40.  def show(name: Global.Name): String
    Definition Classes
      Printers → Printers
41.  def show(any: Any, printTypes: Global.BooleanFlag, printIds: Global.BooleanFlag, printOwners: Global.BooleanFlag, printKinds: Global.BooleanFlag, printMirrors: Global.BooleanFlag, printPositions: Global.BooleanFlag): String
    Definition Classes
      Printers
42.  def showCode(tree: Global.Tree, printTypes: Global.BooleanFlag, printIds: Global.BooleanFlag, printOwners: Global.BooleanFlag, printPositions: Global.BooleanFlag, printRootPkg: Boolean): String
    Definition Classes
      Printers
43.  def showDecl(sym: Global.Symbol): String
    Definition Classes
      Printers → Printers
44.  def showRaw(position: Global.Position): String
    Definition Classes
      Printers
45.  def showRaw(flags: Global.FlagSet): String
    Definition Classes
      Printers
46.  def showRaw(name: Global.Name): String
    Definition Classes
      Printers
47.  def showRaw(any: Any, printTypes: Global.BooleanFlag, printIds: Global.BooleanFlag, printOwners: Global.BooleanFlag, printKinds: Global.BooleanFlag, printMirrors: Global.BooleanFlag, printPositions: Global.BooleanFlag): String
    Definition Classes
      Printers
48.  def symName(tree: Global.Tree, name: Global.Name): String
    Definition Classes
      Printers
49.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
50.  def toString(): String
    Definition Classes
      AnyRef → Any
51.  def treeToString(tree: Global.Tree): String
    Attributes
      protected
    Definition Classes
      Printers
52.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
53.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
54.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
55.  def xprintTree(treePrinter: Global.TreePrinter, tree: Global.Tree): Unit
    Definition Classes
      Printers → Printers
56.  def →[B](y: B): (Printers, B)
    Implicit
      This member is added by an implicit conversion from Printers to ArrowAssoc[Printers] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc
57.  object BooleanFlag extends Serializable
    Definition Classes
      Printers
58.  object ConsoleWriter extends Writer
    Definition Classes
      Printers

### Inherited from reflect.internal.Printers

### Inherited from reflect.api.Printers

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from Printers to any2stringadd[Printers]

### Inherited by implicit conversion StringFormat from Printers to StringFormat[Printers]

### Inherited by implicit conversion Ensuring from Printers to Ensuring[Printers]

### Inherited by implicit conversion ArrowAssoc from Printers to ArrowAssoc[Printers]

### Ungrouped